module Fontina::Windows

  LANGUAGE_CODES = {
    0x0401 => 'ar-SA',
    0x0402 => 'bg-BG',
    0x0403 => 'ca-ES',
    0x0404 => 'zh-TW',
    0x0405 => 'cs-CZ',
    0x0406 => 'da-DK',
    0x0407 => 'de-DE',
    0x0408 => 'el-GR',
    0x0409 => 'en-US',
    0x040a => 'es-ES_tradnl',
    0x040b => 'fi-FI',
    0x040c => 'fr-FR',
    0x040d => 'he-IL',
    0x040e => 'hu-HU',
    0x040f => 'is-IS',
    0x0410 => 'it-IT',
    0x0411 => 'ja-JP',
    0x0412 => 'ko-KR',
    0x0413 => 'nl-NL',
    0x0414 => 'nb-NO',
    0x0415 => 'pl-PL',
    0x0416 => 'pt-BR',
    0x0417 => 'rm-CH',
    0x0418 => 'ro-RO',
    0x0419 => 'ru-RU',
    0x041a => 'hr-HR',
    0x041b => 'sk-SK',
    0x041c => 'sq-AL',
    0x041d => 'sv-SE',
    0x041e => 'th-TH',
    0x041f => 'tr-TR',
    0x0420 => 'ur-PK',
    0x0421 => 'id-ID',
    0x0422 => 'uk-UA',
    0x0423 => 'be-BY',
    0x0424 => 'sl-SI',
    0x0425 => 'et-EE',
    0x0426 => 'lv-LV',
    0x0427 => 'lt-LT',
    0x0428 => 'tg-Cyrl-TJ',
    0x042a => 'vi-VN',
    0x042b => 'hy-AM',
    0x042c => 'az-Latn-AZ',
    0x042d => 'eu-ES',
    0x042e => 'hsb-DE',
    0x042f => 'mk-MK',
    0x0432 => 'tn-ZA',
    0x0434 => 'xh-ZA',
    0x0435 => 'zu-ZA',
    0x0436 => 'af-ZA',
    0x0437 => 'ka-GE',
    0x0438 => 'fo-FO',
    0x0439 => 'hi-IN',
    0x043a => 'mt-MT',
    0x043b => 'se-NO',
    0x043e => 'ms-MY',
    0x043f => 'kk-KZ',
    0x0440 => 'ky-KG',
    0x0441 => 'sw-KE',
    0x0442 => 'tk-TM',
    0x0443 => 'uz-Latn-UZ',
    0x0444 => 'tt-RU',
    0x0445 => 'bn-IN',
    0x0446 => 'pa-IN',
    0x0447 => 'gu-IN',
    0x0448 => 'or-IN',
    0x0449 => 'ta-IN',
    0x044a => 'te-IN',
    0x044b => 'kn-IN',
    0x044c => 'ml-IN',
    0x044d => 'as-IN',
    0x044e => 'mr-IN',
    0x044f => 'sa-IN',
    0x0450 => 'mn-MN',
    0x0451 => 'bo-CN',
    0x0452 => 'cy-GB',
    0x0453 => 'km-KH',
    0x0454 => 'lo-LA',
    0x0456 => 'gl-ES',
    0x0457 => 'kok-IN',
    0x045a => 'syr-SY',
    0x045b => 'si-LK',
    0x045d => 'iu-Cans-CA',
    0x045e => 'am-ET',
    0x0461 => 'ne-NP',
    0x0462 => 'fy-NL',
    0x0463 => 'ps-AF',
    0x0464 => 'fil-PH',
    0x0465 => 'dv-MV',
    0x0468 => 'ha-Latn-NG',
    0x046a => 'yo-NG',
    0x046b => 'quz-BO',
    0x046c => 'nso-ZA',
    0x046d => 'ba-RU',
    0x046e => 'lb-LU',
    0x046f => 'kl-GL',
    0x0470 => 'ig-NG',
    0x0478 => 'ii-CN',
    0x047a => 'arn-CL',
    0x047c => 'moh-CA',
    0x047e => 'br-FR',
    0x0480 => 'ug-CN',
    0x0481 => 'mi-NZ',
    0x0482 => 'oc-FR',
    0x0483 => 'co-FR',
    0x0484 => 'gsw-FR',
    0x0485 => 'sah-RU',
    0x0486 => 'quc-Latn-GT',
    0x0487 => 'rw-RW',
    0x0488 => 'wo-SN',
    0x048c => 'prs-AF',
    0x0801 => 'ar-IQ',
    0x0804 => 'zh-CN',
    0x0807 => 'de-CH',
    0x0809 => 'en-GB',
    0x080a => 'es-MX',
    0x080c => 'fr-BE',
    0x0810 => 'it-CH',
    0x0813 => 'nl-BE',
    0x0814 => 'nn-NO',
    0x0816 => 'pt-PT',
    0x081a => 'sr-Latn-CS',
    0x081d => 'sv-FI',
    0x082c => 'az-Cyrl-AZ',
    0x082e => 'dsb-DE',
    0x083b => 'se-SE',
    0x083c => 'ga-IE',
    0x083e => 'ms-BN',
    0x0843 => 'uz-Cyrl-UZ',
    0x0845 => 'bn-BD',
    0x0850 => 'mn-Mong-CN',
    0x085d => 'iu-Latn-CA',
    0x085f => 'tzm-Latn-DZ',
    0x086b => 'quz-EC',
    0x0c01 => 'ar-EG',
    0x0c04 => 'zh-HK',
    0x0c07 => 'de-AT',
    0x0c09 => 'en-AU',
    0x0c0a => 'es-ES',
    0x0c0c => 'fr-CA',
    0x0c1a => 'sr-Cyrl-CS',
    0x0c3b => 'se-FI',
    0x0c6b => 'quz-PE',
    0x1001 => 'ar-LY',
    0x1004 => 'zh-SG',
    0x1007 => 'de-LU',
    0x1009 => 'en-CA',
    0x100a => 'es-GT',
    0x100c => 'fr-CH',
    0x101a => 'hr-BA',
    0x103b => 'smj-NO',
    0x1401 => 'ar-DZ',
    0x1404 => 'zh-MO',
    0x1407 => 'de-LI',
    0x1409 => 'en-NZ',
    0x140a => 'es-CR',
    0x140c => 'fr-LU',
    0x141a => 'bs-Latn-BA',
    0x143b => 'smj-SE',
    0x1801 => 'ar-MA',
    0x1809 => 'en-IE',
    0x180a => 'es-PA',
    0x180c => 'fr-MC',
    0x181a => 'sr-Latn-BA',
    0x183b => 'sma-NO',
    0x1c01 => 'ar-TN',
    0x1c09 => 'en-ZA',
    0x1c0a => 'es-DO',
    0x1c1a => 'sr-Cyrl-BA',
    0x1c3b => 'sma-SE',
    0x2001 => 'ar-OM',
    0x2009 => 'en-JM',
    0x200a => 'es-VE',
    0x201a => 'bs-Cyrl-BA',
    0x203b => 'sms-FI',
    0x2401 => 'ar-YE',
    0x2409 => 'en-029',
    0x240a => 'es-CO',
    0x243b => 'smn-FI',
    0x2801 => 'ar-SY',
    0x2809 => 'en-BZ',
    0x280a => 'es-PE',
    0x2c01 => 'ar-JO',
    0x2c09 => 'en-TT',
    0x2c0a => 'es-AR',
    0x3001 => 'ar-LB',
    0x3009 => 'en-ZW',
    0x300a => 'es-EC',
    0x3401 => 'ar-KW',
    0x3409 => 'en-PH',
    0x340a => 'es-CL',
    0x3801 => 'ar-AE',
    0x380a => 'es-UY',
    0x3c01 => 'ar-BH',
    0x3c0a => 'es-PY',
    0x4001 => 'ar-QA',
    0x4009 => 'en-IN',
    0x400a => 'es-BO',
    0x4409 => 'en-MY',
    0x440a => 'es-SV',
    0x4809 => 'en-SG',
    0x480a => 'es-HN',
    0x4c0a => 'es-NI',
    0x500a => 'es-PR',
    0x540a => 'es-US',
  }.tap { |x| x.freeze.each_value(&:freeze) }

end
